Foreman - Bug #36293

Awk/grep should be more strict
04/12/2023 09:52 AM - Et7f3 please_edit_me

Status: Closed

Priority: Normal

Assignee: Et7f3 please_edit_me
Category: Unattended installations

Target version:

Difficulty: easy Fixed in Releases: 3.8.0
Triaged: Yes Found in Releases:  3.3.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/9680
Description

When | wanted to debug a template | forgot to type
https://github.com/theforeman/foreman/blob/3.3-stable/app/views/unattended/provisioning_templates/registration/global_registration.

erb#L.15 (running each command step by step)

And | got a issue that third word isn't the UUID
https://github.com/theforeman/foreman/blob/9962f72c635838ced1da86a7e818e2c431c3853e/app/views/unattended/provisioning_te
mplates/registration/global_registration.erb#L.118

If we want to match a UUID we should match a UUID not something hazardous like third word. It will be more resistent to change of
output.

| don't have other example of stricter command might be needed but would happy to fix them.

Associated revisions

Revision 1950325b - 07/03/2023 08:04 AM - Et7f3 please_edit_me
Fixes #36293 - Use a stricter regex

replace sed with grep

History

#1 - 04/12/2023 10:08 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9680 added

#2 - 05/25/2023 11:47 AM - Ewoud Kohl van Wijngaarden
- Fixed in Releases deleted (3.7.0)

Please don't set Fixed in Releases because it's automatically set when something is merged.

#3 - 05/25/2023 06:31 PM - Et7{3 please_edit_me

Ok noted. The change was simple so | thought it will be merged quickly (and someone dire a first review)

#4 - 07/03/2023 08:04 AM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#5 - 07/03/2023 09:00 AM - Et73 please_edit_me
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|1950325b058e3a604e018b282dc077c3421963f4.

05/21/2024 1/2



https://github.com/theforeman/foreman/blob/3.3-stable/app/views/unattended/provisioning_templates/registration/global_registration.erb#L15
https://github.com/theforeman/foreman/blob/3.3-stable/app/views/unattended/provisioning_templates/registration/global_registration.erb#L15
https://github.com/theforeman/foreman/blob/9962f72c635838ced1da86a7e818e2c431c3853e/app/views/unattended/provisioning_templates/registration/global_registration.erb#L118
https://github.com/theforeman/foreman/blob/9962f72c635838ced1da86a7e818e2c431c3853e/app/views/unattended/provisioning_templates/registration/global_registration.erb#L118
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/1950325b058e3a604e018b282dc077c3421963f4

#6 - 09/11/2023 10:55 AM - Ewoud Kohl van Wijngaarden
- Category changed from Templates to Unattended installations

- Triaged changed from No to Yes
